include:
  - system.base
  - .firewall

network_interfaces:
  file.managed:
    - name: /etc/network/interfaces
    - source: salt://{{ tpldir }}/files/network_eth0
    - user: root
    - group: root
    - mode: '0644'
    - require:
      - system_base_pkgs

network_loopback_interfaces:
  file.append:
    - name: /etc/network/interfaces
    - source: salt://{{ tpldir }}/files/network_loopback
    - require:
      - network_interfaces

network_service_reload:
  service.running:
    - name: networking
    - enable: True
    - reload: True
    - watch:
      - network_interfaces
      - network_loopback_interfaces
